Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 132456 - NullPointerException at org.netbeans.modules.debugger.jpda.models.LocalsTreeModel.getChildrenImpl
NullPointerException at org.netbeans.modules.debugger.jpda.models.LocalsTreeM...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
6.x
All All
: P3 (vote)
: 6.x
Assigned To: Martin Entlicher
issues@debugger
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT, 61fixes1-fixed
: SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-09 19:20 UTC by axiomsofchoice
Modified: 2008-06-04 08:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (1.23 KB, text/plain)
2008-04-09 19:20 UTC, axiomsofchoice
Details
Suggested patch for LocalsTreeModel.java (888 bytes, patch)
2008-04-10 16:59 UTC, rbalada
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description axiomsofchoice 2008-04-09 19:20:03 UTC
Build: NetBeans IDE Dev (Build 200804050004)
VM: Java HotSpot(TM) Client VM, 10.0-b19, Java(TM) SE Runtime Environment, 1.6.0_04-b12
OS: Windows XP, 5.1, x86

User Comments: 
Debugging
Comment 1 axiomsofchoice 2008-04-09 19:20:11 UTC
Created attachment 59926 [details]
stacktrace
Comment 2 Martin Entlicher 2008-04-09 19:48:34 UTC
It's likely that the thread was resumed right before this call, which cleared the last operations and caused this NPE.
A check for null last operations will fix this.
Comment 3 rbalada 2008-04-10 16:59:23 UTC
Created attachment 59997 [details]
Suggested patch for LocalsTreeModel.java
Comment 4 rbalada 2008-04-10 17:06:40 UTC
Fixed in main

http://hg.netbeans.org/main/rev/51e31260a22c
Comment 5 rbalada 2008-04-10 17:13:45 UTC
Fixed in main
Comment 6 Jiri Vagner 2008-04-29 13:01:15 UTC
I'm not able to verify this issue, there are no steps to reproduce.  But "if" condition looks cool and I am sure that
this npe was fixed correctly.

Verified in nb_iz_132456_patch_1.txt :)
Comment 7 rbalada 2008-04-29 13:29:45 UTC
I've backported the changeset http://hg.netbeans.org/main/rev/51e31260a22c into release61_fixes repository as
http://hg.netbeans.org/release61_fixes/rev/c2c5ad6cd49b

changeset:   77486:c2c5ad6cd49b
tag:         tip
user:        Rudolf Balada <rbalada@netbeans.org>
date:        Thu Apr 10 18:00:46 2008 +0200
summary:     IZ 132456: NullPointerException at org.netbeans.modules.debugger.jpda.models.LocalsTreeModel.getChildrenImpl


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo